Page MenuHomePhabricator

Special:LinkSearch does not display results for protocol relative URLs
Open, NormalPublic

Description

Special:LinkSearch does not display results for protocol relative URLs

compare

the last one actually displays protocol relative URLs instead of https, which might be another bug to open, I guess.


Version: 1.18.x
Severity: major
Whiteboard: aklapper-moreinfo

Details

Reference
bz33030

Event Timeline

bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz33030.
bzimport added a subscriber: Unknown Object (MLST).
Danny_B created this task.Dec 13 2011, 2:16 PM

(In reply to comment #0)

Special:LinkSearch does not display results for protocol relative URLs

compare

The fact that the https search finds protocol-relative URLs is not a bug. The fact that the protocol-relative search doesn't work, however, is a bug.

(In reply to comment #1)

The fact that the https search finds protocol-relative URLs is not a bug. The
fact that the protocol-relative search doesn't work, however, is a bug.

Then I would assume that

https://cs.wikipedia.org/wiki/Speci%C3%A1ln%C3%AD:Hled%C3%A1n%C3%AD_odkaz%C5%AF/http://commons.wikimedia.org

or at least

http://cs.wikipedia.org/wiki/Speci%C3%A1ln%C3%AD:Hled%C3%A1n%C3%AD_odkaz%C5%AF/http://commons.wikimedia.org

will find the protocol relative URLs as well which it doesn't.

The externallinks table contains to rows for a protocol relative link, so you can find it with https and http in your search request. Maybe they need three rows?

See bug 29854

With gerrit change 28908 merged some time ago, some bugs were fixed. Does the current situation solve this bug?

Danny B: Please answer comment 4.

Danny B: Please answer comment 4.

Aklapper changed the task status from Open to Stalled.Nov 25 2014, 7:47 PM
Catrope set Security to None.Nov 13 2015, 7:58 PM
Catrope removed a subscriber: Catrope.

With gerrit change 28908 merged some time ago, some bugs were fixed. Does the current situation solve this bug?

No.

Danny_B changed the task status from Stalled to Open.Jan 22 2016, 7:58 PM